import { Injectable } from '@angular/core';
import { AppNotificationService } from './notification.service';

@Injectable()
export class AppService {
  constructor(private appNotificationService: AppNotificationService) {}

  public postInit(): Promise<void> {
    return new Promise<void>((resolve, reject) => {
      this.appNotificationService.subscribe();
      resolve();
    });
  }
}
